Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2105044 - Review Request: rust-config - Layered configuration system for Rust applications
Summary: Review Request: rust-config - Layered configuration system for Rust applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: rust-json5
Blocks: IoT fido-fdo 2132945
TreeView+ depends on / blocked
 
Reported: 2022-07-07 18:49 UTC by Peter Robinson
Modified: 2022-11-10 22:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-01 16:14:14 UTC
Type: Bug
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2022-07-07 18:49:40 UTC
SPEC: https://pbrobinson.fedorapeople.org/rust-config.spec
SRPM: https://pbrobinson.fedorapeople.org/rust-config-0.12.0-1.fc36.src.rpm

Decsciption:
Layered configuration system for Rust applications

FAS: pbrobinson

Comment 1 Peter Robinson 2022-07-07 18:50:42 UTC
Note this isn't the latest version because 1) it depends on a newer rust-rust-init, and my requirements don't need the latest version.

Comment 2 Fabio Valentini 2022-07-29 09:13:04 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
! latest version of the crate is packaged (reason given)
- license matches upstream specification (MIT or ASL 2.0) and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

You can continue with the package unretirement process now.

Comment 3 Fabio Valentini 2022-10-11 09:54:39 UTC
Please proceed with the unretirement process.

Comment 4 Peter Robinson 2022-10-14 17:28:30 UTC
https://pagure.io/releng/issue/11087

Comment 5 Fedora Update System 2022-10-23 13:12:29 UTC
FEDORA-2022-a50eb4a37f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a50eb4a37f

Comment 6 Fedora Update System 2022-10-23 13:12:30 UTC
FEDORA-2022-6a3dbf880f has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6a3dbf880f

Comment 7 Fedora Update System 2022-10-24 11:14:10 UTC
FEDORA-2022-a50eb4a37f has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a50eb4a37f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a50eb4a37f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-24 14:14:09 UTC
FEDORA-2022-6a3dbf880f has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-6a3dbf880f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6a3dbf880f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-11-01 16:14:14 UTC
FEDORA-2022-6a3dbf880f has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-11-10 22:23:18 UTC
FEDORA-2022-a50eb4a37f has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.